org.apache.ignite.internal.management.cache

## Class IdleVerifyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.management.cache.IdleVerifyException

All Implemented Interfaces:
  Serializable

    public class IdleVerifyException
    extends IgniteException

This exception is used to collect exceptions occured in `VerifyBackupPartitionsTaskV2` execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IdleVerifyException(Collection<IgniteException> exceptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<IgniteException>` `exceptions()`
`String` `getMessage()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IdleVerifyException

    public IdleVerifyException(Collection<IgniteException> exceptions)

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### exceptions

    public Collection<IgniteException> exceptions()

Returns:
  Exceptions.

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023